Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://support.digitalwerk.net/issues/119

74

Department: SUPPORT Affected Products: ADTF 3.8.0, ADTF Device Toolbox 3.2.0,

ADTF Device Toolbox 3.3.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DeviceTB::Common

Resolution: Duplicate Issue FAQ Links:  

Description

Supportanfrage

One of our colleagues found a bug of the device toolboxes (same for 3.2 and 3.3) in combination with ADTF 3.8:

In Configuration Editor, add a CAN Config Decoder Filter. Add Can Support Service and set a dbc file. Right Click and select CAN

Signal Config Editor and create and save a configuration.

After closing the Editor the pins are correctly created according to the Configuration but the MapFilename in the Properties of the

filter is set to some internal Qt command. So launching fails. See pic.

[cid:image001.png@01D68045.B61D2370]

In ADTF 3.7 and Device Toolbox 3.2. the MapFilename was correctly set to the saved file path. So obviously this is a bug related to

the new Qt version.

Lösung

Der Bug kam in der 3.8 mit den linked graph properties und wurde zur 3.9 im Zuge des redesigns gleich mit gefixt, dafür gab es kein

explizites Ticket.

Workaround für 3.8 ist das Setzen via Property editor, nur der Close des SCFE sorgt dafür, hier haben wir was auf QML Seite

übersehen...

History

#1 - 2020-09-01 14:36 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.8.0, ADTF Device Toolbox 3.2.0, ADTF Device Toolbox 3.3.0 added

- Platform Windows 10 64bit added

#2 - 2020-09-03 14:46 - hidden

- Resolution set to Known Problem

Unfortunatly that seems to be a (already known) bug, which will be fixed within the next ADTF 3.9 version.

As a workaround you have to manually set the property once again.

The new version will hopefully released within the next weeks

#3 - 2020-09-03 14:47 - hidden

- Status changed from In Progress to To Be Closed

- Resolution changed from Known Problem to Duplicate Issue
- Product Issue Numbers set to https://support.digitalwerk.net/issues/11974

#4 - 2020-09-04 09:32 - hidden

Hi Benedict,

could you give us the Bug-ID?  I looked up https://support.digitalwerk.net/projects/download-center/wiki/KnownProblems but guess there are no

recent updates there.

Interesting information that you plan directly for 3.9.

Grüße,

Jochen

#5 - 2020-09-04 10:02 - hidden

unfortunatly i neither have nor find the requested bug-id. I will ask the person in charge on monday

#6 - 2020-09-09 08:14 - hidden

Hi,

any news regarding the bug ID? Because the case is set to "to be closed"?

BR, Anja

#7 - 2020-09-14 13:54 - hidden

Hi supporters,

looks like the ADTF 3.9 provides a reworked property editor. The release notes do not mention this bug explicitely. So I guess one has to check again

whether the bug is removed.

Could you verify whether the bug is removed in version 3.9/Device TB 3.3?

BR,

Jochen

#9 - 2020-09-15 08:19 - hidden

- Status changed from To Be Closed to In Progress

Hallo Patrick,

kannst Du Dir das bitte nochmal ansehen? Siehe Auch verlinktes Ticket.

Die Lösung sollte bereits korrekt im ADTF 3.9 Release enthalten sein.

Danke

#10 - 2020-09-15 11:55 - hidden

Matthias Fick-Gredler wrote:

Hallo Patrick,

kannst Du Dir das bitte nochmal ansehen? Siehe Auch verlinktes Ticket.

Die Lösung sollte bereits korrekt im ADTF 3.9 Release enthalten sein.

Danke

 Habe es mit ADTF 3.9.0 und DeviceTB 3.3.0 ausprobiert. Bei mir tritt der Fehler nicht auf.

#11 - 2020-09-15 13:10 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Jochen,

Hallo Anja,

Lösung sollte in der aktuellen Version enthalten sein.

Wenn von Eurer Seite nicht dagegen spricht, schließen wir damit das Ticket.

Gruß

Matthias

#12 - 2020-09-30 13:18 - hidden
- Subject changed from EBPRODUCTSUPPORT-7810 CAN Config Decoder Filter and Signal Config Filter Editor in ADTF 3.8 to

EBPRODUCTSUPPORT-7810 Failed to set map property using SCFE

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Der Bug kam in der 3.8 mit den linked graph properties und wurde zur 3.9 im Zuge des redesigns gleich mit gefixt, dafür gab es kein explizites Ticket.

Workaround für 3.8 ist das Setzen via Property editor, nur der Close des SCFE sorgt dafür, hier haben wir was auf QML Seite übersehen...

#13 - 2020-09-30 13:19 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#14 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed
